# mypy-boto3-comprehendmedical<a id="mypy-boto3-comprehendmedical"></a>

[![PyPI - mypy-boto3-comprehendmedical](https://img.shields.io/pypi/v/mypy-boto3-comprehendmedical.svg?color=blue)](https://pypi.org/project/mypy-boto3-comprehendmedical)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-comprehendmedical.svg?color=blue)](https://pypi.org/project/mypy-boto3-comprehendmedical)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-comprehendmedical?color=blue)](https://pypistats.org/packages/mypy-boto3-comprehendmedical)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.ComprehendMedical 1.17.69](https://boto3.amazonaws.com/v1/documentation/api/1.17.69/reference/services/comprehendmedical.html#ComprehendMedical)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-buider 4.12.0](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-comprehendmedical docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_comprehendmedical/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-comprehendmedical](#mypy-boto3-comprehendmedical)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

## How to install<a id="how-to-install"></a>

Install `boto3-stubs` for `ComprehendMedical` service.

```bash
python -m pip install boto3-stubs[comprehendmedical]
```

## Usage<a id="usage"></a>

### VSCode<a id="vscode"></a>

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[comprehendmedical]` in your environment:
  `python -m pip install 'boto3-stubs[comprehendmedical]'`

Both type checking and auto-complete should work for `ComprehendMedical`
service. No explicit type annotations required, write your `boto3` code as
usual.

### PyCharm<a id="pycharm"></a>

- Install `boto-stubs[comprehendmedical]` in your environment:
  `python -m pip install 'boto3-stubs[comprehendmedical]'`

Both type checking and auto-complete should work for `ComprehendMedical`
service. No explicit type annotations required, write your `boto3` code as
usual. Auto-complete can be slow on big projects or if you have a lot of
installed `boto3-stubs` submodules.

### Other IDEs<a id="other-ides"></a>

Not tested, but as long as your IDE support `mypy` or `pyright`, everything
should work.

### mypy<a id="mypy"></a>

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[comprehendmedical]` in your environment:
  `python -m pip install 'boto3-stubs[comprehendmedical]'`
- Run `mypy` as usual

Type checking should work for `ComprehendMedical` service. No explicit type
annotations required, write your `boto3` code as usual.

### pyright<a id="pyright"></a>

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[comprehendmedical]` in your environment:
  `python -m pip install 'boto3-stubs[comprehendmedical]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `ComprehendMedical` service. No explicit type
annotations required, write your `boto3` code as usual.

## Explicit type annotations<a id="explicit-type-annotations"></a>

### Client annotations<a id="client-annotations"></a>

`ComprehendMedicalClient` provides annotations for
`boto3.client("comprehendmedical")`.

```python
import boto3

from mypy_boto3_comprehendmedical import ComprehendMedicalClient

client: ComprehendMedicalClient = boto3.client("comprehendmedical")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: ComprehendMedicalClient = session.client("comprehendmedical")
```

### Literals<a id="literals"></a>

`mypy_boto3_comprehendmedical.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from mypy_boto3_comprehendmedical.literals import (
    AttributeName,
    EntitySubType,
    EntityType,
    ICD10CMAttributeType,
    ICD10CMEntityCategory,
    ICD10CMEntityType,
    ICD10CMRelationshipType,
    ICD10CMTraitName,
    JobStatus,
    LanguageCode,
    RelationshipType,
    RxNormAttributeType,
    RxNormEntityCategory,
    RxNormEntityType,
    RxNormTraitName,
)

def check_value(value: AttributeName) -> bool:
    ...
```

### Typed dictionaries<a id="typed-dictionaries"></a>

`mypy_boto3_comprehendmedical.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_comprehendmedical.type_defs import (
    AttributeTypeDef,
    ComprehendMedicalAsyncJobFilterTypeDef,
    ComprehendMedicalAsyncJobPropertiesTypeDef,
    DescribeEntitiesDetectionV2JobResponseTypeDef,
    DescribeICD10CMInferenceJobResponseTypeDef,
    DescribePHIDetectionJobResponseTypeDef,
    DescribeRxNormInferenceJobResponseTypeDef,
    DetectEntitiesResponseTypeDef,
    DetectEntitiesV2ResponseTypeDef,
    DetectPHIResponseTypeDef,
    EntityTypeDef,
    ICD10CMAttributeTypeDef,
    ICD10CMConceptTypeDef,
    ICD10CMEntityTypeDef,
    ICD10CMTraitTypeDef,
    InferICD10CMResponseTypeDef,
    InferRxNormResponseTypeDef,
    InputDataConfigTypeDef,
    ListEntitiesDetectionV2JobsResponseTypeDef,
    ListICD10CMInferenceJobsResponseTypeDef,
    ListPHIDetectionJobsResponseTypeDef,
    ListRxNormInferenceJobsResponseTypeDef,
    OutputDataConfigTypeDef,
    RxNormAttributeTypeDef,
    RxNormConceptTypeDef,
    RxNormEntityTypeDef,
    RxNormTraitTypeDef,
    StartEntitiesDetectionV2JobResponseTypeDef,
    StartICD10CMInferenceJobResponseTypeDef,
    StartPHIDetectionJobResponseTypeDef,
    StartRxNormInferenceJobResponseTypeDef,
    StopEntitiesDetectionV2JobResponseTypeDef,
    StopICD10CMInferenceJobResponseTypeDef,
    StopPHIDetectionJobResponseTypeDef,
    StopRxNormInferenceJobResponseTypeDef,
    TraitTypeDef,
    UnmappedAttributeTypeDef,
)

def get_structure() -> AttributeTypeDef:
    return {
      ...
    }
```

## Versioning<a id="versioning"></a>

`mypy-boto3-comprehendmedical` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation<a id="documentation"></a>

All type annotations can be found in
[mypy-boto3-comprehendmedical docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_comprehendmedical/)

## Support and contributing<a id="support-and-contributing"></a>

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
